# script to perform all ocra checks on the model
# NOMINAL VERSION

set on_failure_script_quits 1
set dynamic_reorder

# this sets the cpp precompiler
set pp_list cpp

set ocra_discrete_time 1

# performs syntactic control and type checking
ocra_check_syntax -i System_nominal.oss

# check the correct contract refinement
ocra_check_refinement 

# check the consistency of each assertion
# i.e. any assumption or guarantee of a contract
ocra_check_consistency

# check if the SMV model satisfies the component contracts,
# only on leaf components
ocra_check_implementation -I Sensor_nominal.smv -c Sensor
ocra_check_implementation -I VarMonitor.smv
ocra_check_implementation -I GenMonitor.smv
ocra_check_implementation -I Selector.smv

# check if the SMV model is receptive to its component contracts
# only on leaf components
ocra_check_receptiveness -I Sensor_nominal.smv -c Sensor
ocra_check_receptiveness -I VarMonitor.smv
ocra_check_receptiveness -I GenMonitor.smv
ocra_check_receptiveness -I Selector.smv

quit


